all:
	./waf build --targets jes

.PHONY: clean
clean:
	./waf clean

ifneq ($(FILTER),)
  GTEST_FILTER := --gtest_filter=$(FILTER)
endif

.PHONY: test
test:
	./waf build --targets tests
	./build/tests $(GTEST_FILTER)
	@-rm -rf coverage
	-gcovinator -b build -s src
